/**
 * Basics.
 **/
html, body {
	margin: 0;
	padding: 0;
	
	font-size: 4vw;
}

@media all and (min-width: 600px) {
	html, body {
		font-size: 125%;
	}
}

pre {
	font-size: 50%;
}

.hidden {
	display: none !important;
}

/**
 * Donate.
 **/
#donate {
	position: fixed;
	
	padding: 6px;
	
	top: 0.5em;
	right: 0.5em;
	width: 92px;
	height: 47px;
	
	background-color: white;
	
	opacity: 0.9;
	
	border: 1px solid #dbdbde;
	border-radius: 10px;
	
	overflow: hidden;
	
	z-index: 2000;
	
	box-shadow: 0em -0.15em 0.2em black;
}

#donate:hover {
	opacity: 1.0;
	
	border: 1px solid black;
}

.section {
	
}

.section .head {
	margin: 0;
	padding: 0.5em;
	
	color: white;
	background-color: #9999ff;
	
	border-bottom: 1px solid #666;
	background: linear-gradient(rgba(0, 0, 0, 0.0) 2em, rgb(0, 0, 0, 0.5)), url(./images/minecraft_dirt.png);
	background-size: 20em;
	
	/*text-shadow: 0.25em 0.25em 0.25em black;*/
	text-shadow: 0em -0.15em 0.2em black;
}

.section .head h1 {
	margin: 0;
}

.section .menu {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	justify-items: stretch;
	align-items: stretch;
	grid-gap: 0.5em;
}

.section .menu .item {
	margin: 0;
	padding: 0.25em 0.5em;
	
	background-color: rgba(0, 0, 0, 0.25);
	border: 2px solid black;
	border-radius: 0.5em;
	
	cursor: pointer;
}

.section .menu .item h2 {
	margin: 0;
}

.section .menu .item:hover {
	background-color: rgba(255, 255, 255, 0.5);
	border: 2px solid rgb(255, 255, 255);
}

.section .menu .item.selected {
	background-color: rgba(124, 167, 77, 0.5);
	border: 2px solid rgb(124, 167, 77);
}

.section .menu .item .status {
	margin: 0 -0.5em;
	padding: 0 0.5em;
	
	background-color: rgba(255,255,255,0.5);
}

.section .menu .item .status.online {
	color: #99ff99;
}

.section .menu .item .status.offline {
	color: #ff9999;
}

.section .content {
	padding: 1em;
	
	background: url(./images/minecraft_dirt3.png);
	background-size: 20em;
}

.section .content p {
	margin: 0;
	padding: 0;
}

.section .content ul {
	margin: 1em 0;
	padding: 0 0 0 1em;
}

.section .content .icon {
	margin: 0 0.25em 0 0;
	
	width: 1em;
	height: 1em;
	line-height: 1em;
	vertical-align: text-bottom;
}

.section .content .container {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	align-content: space-around;
	
}

.section .content .container .cell {
	margin: 0 1em 1em 0;
	padding: 1em;
	
	/*width: 10em;
	height: 10em;*/
	
	background-color: #accaac;
	border: 1px solid black;
	border-radius: 1em;
	
	flex-grow: 1;
}

.section .content .container .cell h1 {
	margin: 0 0 0.25em 0;
}

.section .content .container .cell.toggable h1 {
	cursor: pointer;
}

.section .content .container .cell.toggable h1 .smallh2 {
	font-size: 25%;
}

.section .content .container .cell ul {
	margin: 0;
}

.section .content .container .cell .button {
	padding: 0.5em 1em;
	
	width: 100%;
	
	border: 1px solid black;
	border-radius: 1em;
	
	background-color: #aaa;
}
.section .content .container .cell .button:hover {
	background-color: #fff;
}
.section .content .container .cell .button[disabled] {
	color: #333;
	background-color: #666;
}

.section .content .subsection.server {
	position: relative;
}

.section .content .subsection.server .head {
	background-color: #666;
	
	border-radius: 0.5em;
}

.section .content .subsection.server .head .status {
	position: absolute;
	
	display: inline-block;
	
	padding: 0.25em 0.5em;
	
	top: 0.5em;
	right: 0.5em;
	height: 1em;
	line-height: 1em;
	
	font-size: 125%;
	
	background-color: white;
	border: 1px solid black;
	border-radius: 0.5em;
	
	vertical-align: middle;
}

.section .content .subsection.server .head .status.offline {
	color: #ffff66;
	background-color: red;
}

.section .content .subsection.server .head .status.online {
	color: yellow;
	background-color: green;
}